import { Module } from "@nestjs/common";
import { HKPController } from "./controllers/hkp.controller.js";
import { OpenPGPKeysProvider } from "./providers/openpgp.provider.js";
import { AllKeysProvider } from "./providers/all.provider.js";

@Module({
    providers: [ OpenPGPKeysProvider, AllKeysProvider ],
    controllers: [ HKPController ],
    exports: [ OpenPGPKeysProvider, AllKeysProvider ] 
})
export class KeysModule {}